/*
 *  Licensed Materials - Property of IBM
 *  5725-I43 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

/**
 *  WL.Server.invokeHttp(parameters) accepts the following json object as an argument:
 *  
 *  {
 *  	// Mandatory 
 *  	method : 'get' , 'post', 'delete' , 'put' or 'head' 
 *  	path: value,
 *  	
 *  	// Optional 
 *  	returnedContentType: any known mime-type or one of "json", "css", "csv", "plain", "xml", "html"  
 *  	returnedContentEncoding : 'encoding', 
 *  	parameters: {name1: value1, ... }, 
 *  	headers: {name1: value1, ... }, 
 *  	cookies: {name1: value1, ... }, 
 *  	body: { 
 *  		contentType: 'text/xml; charset=utf-8' or similar value, 
 *  		content: stringValue 
 *  	}, 
 *  	transformation: { 
 *  		type: 'default', or 'xslFile', 
 *  		xslFile: fileName 
 *  	} 
 *  } 
 */

function getInfo(){
	var ccInstance = new com.ibm.zvse.adapter.skvssampJava();
	
	return {
		result: ccInstance.getInfo( )
	};	
	
}

function deleteCar(i){
	var ccInstance = new com.ibm.zvse.adapter.skvssampJava();
	
	return {
		result: ccInstance.deleteCar(i)
	};
}

function addNewCar(manufacture, type, model, hp, displacement, cylinders,	colour, features, price){
	var ccInstance = new com.ibm.zvse.adapter.skvssampJava();
	
	return {
		result: ccInstance.addNewCar(manufacture, type, model, hp, displacement, cylinders,	colour, features, price)
	};
}

function changeCar(i, manufacture, type, model, hp, displacement, cylinders, colour, features, price){
	var ccInstance = new com.ibm.zvse.adapter.skvssampJava();
	
	return {
		result: ccInstance.changeCar(i, manufacture, type, model, hp, displacement, cylinders, colour, features, price)
	};
}

